A behavior is a value that changes over time. Conceptually it can be though of as a function from time to a value. I.e. `type Behavior<A> = (t: Time) => A`.

### Type parameters

- #### A

### Hierarchy

- Behavior
  - ConstantBehavior
  - MapBehavior
  - ChainBehavior
  - FunctionBehavior
  - ApBehavior
  - SinkBehavior
  - PlaceholderBehavior
  - WhenBehavior
  - SnapshotBehavior
  - SwitcherBehavior
  - StepperBehavior
  - ScanBehavior

## Index

### Properties

- cbListeners
- last
- listeners
- of
- pushing
- of

### Accessors

- def

### Methods

- addListener
- chain
- map
- publish
- pull
- push
- unlisten

## Properties

### cbListeners

cbListeners: function[] = []

- Defined in Behavior.ts:17

#### Type declaration

- - (b: A): void

  - #### Parameters

    - ##### b: A

    #### Returns void

### last

last: A

- Defined in Behavior.ts:20

### listeners

listeners: Consumer<any>[] = []

- Defined in Behavior.ts:19

### of

of: function = of

- Defined in Behavior.ts:54

#### Type declaration

- - <A>(v: A): Behavior<A>

  - #### Type parameters

    - #### A

    #### Parameters

    - ##### v: A

    #### Returns Behavior<A>

### pushing

pushing: boolean

- Defined in Behavior.ts:21

### of

of: function = of

- Defined in Behavior.ts:55

#### Type declaration

- - <A>(v: A): Behavior<A>

  - #### Type parameters

    - #### A

    #### Parameters

    - ##### v: A

    #### Returns Behavior<A>

## Accessors

### def

def:

- Defined in Behavior.ts:41

## Methods

### addListener

- addListener(listener: Consumer<any>): void

- - Defined in Behavior.ts:63

  #### Parameters

  - ##### listener: Consumer<any>

  #### Returns void

### chain

- chain<B>(fn: function): Behavior<B>

- - Defined in Behavior.ts:57

  #### Type parameters

  - #### B

  #### Parameters

  - ##### fn: function

    - - (a: A): Behavior<B>

      - #### Parameters

        - ##### a: A

        #### Returns Behavior<B>

### map

- map<B>(fn: MapFunction): Behavior<B>

- - Defined in Behavior.ts:48

  #### Type parameters

  - #### B

  #### Parameters

  - ##### fn: MapFunction

  #### Returns Behavior<B>

### publish

- publish(b: A): void

- - Defined in Behavior.ts:23

  #### Parameters

  - ##### b: A

  #### Returns void

### pull

- pull(): A

- - Defined in Behavior.ts:39

  #### Returns A

### push

- push(a: any, changed: Behavior<any>): void

- - Defined in Behavior.ts:37

  #### Parameters

  - ##### a: any

  - ##### changed: Behavior<any>

  #### Returns void

### unlisten

- unlisten(listener: Consumer<any>): void

- - Defined in Behavior.ts:67

  #### Parameters

  - ##### listener: Consumer<any>

  #### Returns void

Generated using TypeDoc